This patch removes the obsolete mibstore.h and miInitializeBackingStore 
calls. This enables the dovefb driver to compile with newer Xorgs.
Tested in 1.14.2 and 1.14.3

This patch was created for xo4 branch, tested against 0.3.11 version.
It also works for xo2 branch of the same version.

James B, 2014
 
diff --git a/src/dovefb.c b/src/dovefb.c
index 78a5b5a..e4371b7 100644
--- a/src/dovefb.c
+++ b/src/dovefb.c
@@ -17,7 +17,7 @@
 #include "xf86_OSproc.h"
 
 #include "mipointer.h"
-#include "mibstore.h"
+//#include "mibstore.h"
 #include "micmap.h"
 #include "colormapst.h"
 #include "xf86cmap.h"
@@ -1505,7 +1505,6 @@ FBDevScreenInit(SCREEN_INIT_ARGS_DECL)
 	}
 
 	xf86SetBlackWhitePixels(pScreen);
-	miInitializeBackingStore(pScreen);
 	xf86SetBackingStore(pScreen);
 
     if (fPtr->UseGPU)
diff --git a/src/dovefb_driver.h b/src/dovefb_driver.h
index 4e4dd0e..55a1077 100644
--- a/src/dovefb_driver.h
+++ b/src/dovefb_driver.h
@@ -18,7 +18,7 @@
 
 #include "mipointer.h"
 #include "micmap.h"
-#include "mibstore.h"
+//#include "mibstore.h"
 
 #include "colormapst.h"
 #include "xf86cmap.h"
diff --git a/src/dovefb_xv.c b/src/dovefb_xv.c
index 461c219..947b675 100644
--- a/src/dovefb_xv.c
+++ b/src/dovefb_xv.c
@@ -10,7 +10,7 @@
 #include "xf86.h"
 #include "xf86_OSproc.h"
 #include "mipointer.h"
-#include "mibstore.h"
+//#include "mibstore.h"
 #include "micmap.h"
 #include "colormapst.h"
 #include "xf86cmap.h"
